## ros-melodic-service-tools 0.6.19

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(service_tools)

find_package(catkin REQUIRED
             COMPONENTS
            )

catkin_package()


catkin_install_python(PROGRAMS scripts/service_relay
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
                     )

=== debian/changelog ===
ros-melodic-service-tools (0.6.19-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-melodic-service-tools (0.6.18-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-melodic-service-tools (0.6.17-1bionic) bionic; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-melodic-service-tools (0.6.16-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-service-tools (0.6.15-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-service-tools (0.6.14-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-melodic-service-tools (0.6.13-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 18 Jul 2019 22:00:00 -0000

ros-melodic-service-tools (0.6.12-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-service-tools (0.6.11-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-service-tools (0.6.10-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-service-tools (0.6.9-1bionic) bionic; urgency=high

  * update maintainer
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-service-tools (0.6.8-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-service-tools (0.6.7-1bionic) bionic; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #197 <https://github.com/ipa320/cob_command_tools/issues/197> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-service-tools (0.6.6-1bionic) bionic; urgency=high

  * implemented service_relay
  * Contributors: Mathias Lüdtke

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 16 Jul 2017 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-service-tools
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-service-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rospy, ros-melodic-rosservice
Description: Service tools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-service-tools//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
